## GdlDock GdlDock |

## Synopsis

                        GdlDockPrivate;
                        GdlDock;
    #define             GDL_DOCK_IS_CONTROLLER              (dock)
    GtkWidget *         gdl_dock_new                        (void);
    GtkWidget *         gdl_dock_new_from                   (GdlDock *original,
                                                             gboolean floating);
    void                gdl_dock_add_item                   (GdlDock *dock,
                                                             GdlDockItem *item,
                                                             GdlDockPlacement place);
    void                gdl_dock_add_floating_item          (GdlDock *dock,
                                                             GdlDockItem *item,
                                                             gint x,
                                                             gint y,
                                                             gint width,
                                                             gint height);
    GdlDockItem *       gdl_dock_get_item_by_name           (GdlDock *dock,
                                                             const gchar *name);
    GdlDockPlaceholder * gdl_dock_get_placeholder_by_name   (GdlDock *dock,
                                                             const gchar *name);
    GList *             gdl_dock_get_named_items            (GdlDock *dock);
    GdlDock *           gdl_dock_object_get_toplevel        (GdlDockObject *object);
    void                gdl_dock_xor_rect                   (GdlDock *dock,
                                                             GdkRectangle *rect);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GdlDockObject
                                     +----GdlDock

## Implemented Interfaces

GdlDock implements GtkBuildable and AtkImplementorIface.

## Properties

      "default-title"            gchar*                : Read / Write
      "floating"                 gboolean              : Read / Write / Construct Only
      "floatx"                   gint                  : Read / Write / Construct
      "floaty"                   gint                  : Read / Write / Construct
      "height"                   gint                  : Read / Write / Construct
      "width"                    gint                  : Read / Write / Construct

## Signals

      "layout-changed"                                 : Run Last

## Description

## Details

### GdlDockPrivate

    typedef struct _GdlDockPrivate GdlDockPrivate;

### GdlDock

    typedef struct _GdlDock GdlDock;

### GDL_DOCK_IS_CONTROLLER()

    #define             GDL_DOCK_IS_CONTROLLER(dock)

`dock` : |

### gdl_dock_new ()

    GtkWidget *         gdl_dock_new                        (void);

Returns : |

### gdl_dock_new_from ()

    GtkWidget *         gdl_dock_new_from                   (GdlDock *original,
                                                             gboolean floating);

`original` : |
`floating` : |
Returns : |

### gdl_dock_add_item ()

    void                gdl_dock_add_item                   (GdlDock *dock,
                                                             GdlDockItem *item,
                                                             GdlDockPlacement place);

`dock` : |
`item` : |
`place` : |

### gdl_dock_add_floating_item ()

    void                gdl_dock_add_floating_item          (GdlDock *dock,
                                                             GdlDockItem *item,
                                                             gint x,
                                                             gint y,
                                                             gint width,
                                                             gint height);

`dock` : |
`item` : |
`x` : |
`y` : |
`width` : |
`height` : |

### gdl_dock_get_item_by_name ()

    GdlDockItem *       gdl_dock_get_item_by_name           (GdlDock *dock,
                                                             const gchar *name);

`dock` : |
`name` : |
Returns : |

### gdl_dock_get_placeholder_by_name ()

    GdlDockPlaceholder * gdl_dock_get_placeholder_by_name   (GdlDock *dock,
                                                             const gchar *name);

`dock` : |
`name` : |
Returns : |

### gdl_dock_get_named_items ()

    GList *             gdl_dock_get_named_items            (GdlDock *dock);

`dock` : |
Returns : |

### gdl_dock_object_get_toplevel ()

    GdlDock *           gdl_dock_object_get_toplevel        (GdlDockObject *object);

`object` : |
Returns : |

### gdl_dock_xor_rect ()

    void                gdl_dock_xor_rect                   (GdlDock *dock,
                                                             GdkRectangle *rect);

`dock` : |
`rect` : |

## Property Details

### The `"default-title"` property

      "default-title"            gchar*                : Read / Write

Default title for the newly created floating docks.

Default value: NULL

### The `"floating"` property

      "floating"                 gboolean              : Read / Write / Construct Only

Whether the dock is floating in its own window.

Default value: FALSE

### The `"floatx"` property

      "floatx"                   gint                  : Read / Write / Construct

X coordinate for a floating dock.

Default value: 0

### The `"floaty"` property

      "floaty"                   gint                  : Read / Write / Construct

Y coordinate for a floating dock.

Default value: 0

### The `"height"` property

      "height"                   gint                  : Read / Write / Construct

Height for the dock when it's of floating type.

Allowed values: >= -1

Default value: -1

### The `"width"` property

      "width"                    gint                  : Read / Write / Construct

Width for the dock when it's of floating type.

Allowed values: >= -1

Default value: -1

## Signal Details

### The `"layout-changed"` signal

    void                user_function                      (GdlDock *gdldock,
                                                            gpointer user_data)      : Run Last

`gdldock` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.